Xmap-plugin 2.0.3 - fixed bugs

20.05.2015 19:40
#1
Arseny
User Arseny
Name: Arseny
04.12.2013
Posts: 68
Quote
Xmap-plugin 2.0.3 - fixed bugs

Hello, Install plugin Xmap-plugin 2.0.3
But there was an error message
[code]Strict Standards: Non-static method xmap_com_jshopping::getCategoryTree() should not be called statically in ..
Strict Standards: Non-static method JSite::getMenu() should not be called statically in …[/code]

I fixed all the bugs
...
class xmap_com_jshopping{
/** Get the content tree for this kind of content */
public static function getTree(&$xmap, &$parent, &$params) {
$app = JFactory::getApplication();
$menu = $app->getMenu();

$jsparams = $menu->getParams($parent->id);
$link_query = parse_url($parent->link);
...


...
/** JoomShopping support */
public static function getCategoryTree(&$xmap, &$parent, &$params, $catid=0, $manid=0, $controller) {
$database = JFactory::getDBO();
$lang_ = JFactory::getLanguage();
$lang = $lang_->getTag();
static $urlBase;
...


...
public static function getParam($arr, $name, $def) {
return JArrayHelper::getValue($arr, $name, $def, '');
}
}

+ added Русский language
Plugin check on website and the local site

Check the archive if all is well, please update your plugin
plg_xmap_com_jshopping_2.0.4.zip


Joomla: 3.4.1
JoomShopping: 4.9.2
PHP: 5.3
MySQL: 5.5

Letzte Änderung: 20.05.2015 19:43
 
20.05.2015 20:33
#2
webdesigner
(Support Team)
User webdesigner
Name: Admin
05.08.2010
Posts: 16509
Quote
Aw: Xmap-plugin 2.0.3 - fixed bugs

Thank you.

 
Copyrights MAXXmarketing GmbH. All Rights Reserved